"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.err_ = exports.err = exports.ok = void 0;
/**
 * Creates an Ok.
 * @typeparam T - Type of results.
 * @param x - Value to use.
 * @returns A Result.
 */
function ok(x) {
    return { success: true, value: x };
}
exports.ok = ok;
/**
 * Creates an Err.
 * @typeparam E - Type of errors.
 * @param x - Value to use.
 * @returns A Result.
 */
function err(x) {
    return { success: false, error: x };
}
exports.err = err;
/**
 * Creates an Err with null value.
 * @returns A Result.
 */
function err_() {
    return { success: false, error: null };
}
exports.err_ = err_;
//# sourceMappingURL=result.js.map